@keyframes mkvc-shake {
	10%,
	90% {
		transform: translate3d(-1px, 0, 0);
	}

	20%,
	80% {
		transform: translate3d(2px, 0, 0);
	}

	30%,
	50%,
	70% {
		transform: translate3d(-4px, 0, 0);
	}

	40%,
	60% {
		transform: translate3d(4px, 0, 0);
	}
}

.mkvc-landing {
	position: fixed;
	font-size: 1rem;
	cursor: none;
	background: white;
	z-index: 1000;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	transition: opacity 300ms;
	opacity: 0;
	pointer-events: none;
}

.mkvc-landing.active {
	opacity: 1;
	pointer-events: all;
}

.mkvc-landing-container {
	gap: 10vh;
	transform: translateX(-50%) translateY(-45%);
	flex-flow: column;
	top: 50%;
	display: flex;
	left: 50%;
	width: 80vw;
	position: absolute;
}

.mkvc--logo {
	aspect-ratio: 5.25 / 1;
	width: 100%;
	opacity: 0;
	transition: 300ms;
}

.mkvc-landing form {
	position: relative;
	margin: 0 auto;
	max-width: 320px;
	width: 100%;
	height: 2.5rem;
	border: 1px solid currentColor;
	border-radius: 6px;
}

.mkvc-landing input {
	border: 0;
	width: 100%;
	height: 100%;
	padding: 0 0.75em;
	padding-top: 0.1em;
	background: none;
	font-family: inherit;
	letter-spacing: 0.01em;
}

.mkvc-landing input:focus {
	outline: 0;
}

.mkvc-landing button {
	background: black;
	border-radius: 4px;
	border: 0;
	position: absolute;
	top: 50%;
	right: 0;
	display: block;
	transform: translateY(-50%);
	height: calc(100% - 0.4em);
	right: 0.2em;
	aspect-ratio: 1 / 1;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 23.5652 43.4057'%3E%3Cpath fill='white' class='b' d='m23.4334,21.3838L2.1797.1318c-.1758-.1758-.4605-.1758-.6363,0L.1318,1.5434c-.0844.0844-.1318.1986-.1318.3182s.0475.2338.1318.3182l19.524,19.5223L.1318,41.226c-.1758.1758-.1758.4605,0,.6363l1.4115,1.4115c.0879.0879.2021.1318.3182.1318s.2303-.0439.3182-.1318l21.2537-21.2537c.0844-.0844.1318-.1986.1318-.3182s-.0475-.2338-.1318-.3182Z'/%3E%3C/svg%3E");
	background-size: 35%;
	background-repeat: no-repeat;
	background-position: center;
	cursor: none;
	transition: 200ms;
}

.mkvc-landing.loading button {
	opacity: 0.7;
}

.mkvc-landing.error form {
	animation: mkvc-shake 500ms cubic-bezier(0.36, 0.07, 0.19, 0.97) both;
}

@media (min-width: 700px) {
	.mkvc-landing-container {
		width: max(35rem, 40vw);
	}

	.site-password {
		font-weight: 300;
		font-size: 1.1em;
	}

	.submit-wrapper {
		bottom: Min(20vh, 10rem);
	}
}
